{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 15.0, 56.0, 816.0, 581.0 ],
		"bglocked" : 0,
		"defrect" : [ 15.0, 56.0, 816.0, 581.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "stamp",
					"text" : "This patch last modified 8.6.2009 1:36:32",
					"id" : "obj-1",
					"patching_rect" : [ 50.0, 31.0, 224.0, 17.0 ],
					"numinlets" : 1,
					"textcolor" : [ 0.388235, 0.388235, 0.388235, 1.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"frgb" : [ 0.388235, 0.388235, 0.388235, 1.0 ],
					"fontsize" : 9.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "this object measures the sound level",
					"id" : "obj-11",
					"patching_rect" : [ 214.0, 305.0, 334.0, 29.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 20.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : " Most laptops have a built-in microphone, and measuring sound level is very simple.\n\n\n ( \"Sound level\" is basically loudness or volume, though both \"loudness\" and \"volume\" have special meanings in the science of sound.  So to be precise, what we are measuring here is \"sound level.\")",
					"linecount" : 6,
					"id" : "obj-7",
					"patching_rect" : [ 257.0, 136.0, 508.0, 89.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-18",
					"patching_rect" : [ 55.0, 491.0, 50.0, 20.0 ],
					"numinlets" : 1,
					"numoutlets" : 2,
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "peakamp~ requires an argument, which is the time (in ms) between measurements.  Anything from 10 to 50 works well.  Lower numbers produce faster reactions.  The human ear reacts very quickly.  Anything more than 10 or 20 ms may be heard as a delay.  But the eye reacts more slowly: anything below 50 ms is fine.",
					"linecount" : 5,
					"id" : "obj-16",
					"patching_rect" : [ 214.0, 335.0, 375.0, 75.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0.0 = absolute silence\n1.0 = loudest measurable sound",
					"linecount" : 2,
					"id" : "obj-12",
					"patching_rect" : [ 345.0, 489.0, 182.0, 34.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "multislider",
					"candicane6" : [ 0.733333, 0.035294, 0.788235, 1.0 ],
					"contdata" : 1,
					"id" : "obj-4",
					"patching_rect" : [ 55.0, 449.0, 279.0, 30.0 ],
					"numinlets" : 1,
					"candicane5" : [ 0.584314, 0.827451, 0.431373, 1.0 ],
					"numoutlets" : 2,
					"candicane4" : [ 0.439216, 0.619608, 0.070588, 1.0 ],
					"orientation" : 0,
					"setstyle" : 1,
					"compatibility" : 1,
					"bgcolor" : [ 0.858824, 1.0, 0.811765, 1.0 ],
					"peakcolor" : [ 0.498039, 0.498039, 0.498039, 1.0 ],
					"outlettype" : [ "", "" ],
					"candicane3" : [ 0.290196, 0.411765, 0.713726, 1.0 ],
					"candicane8" : [ 0.027451, 0.447059, 0.501961, 1.0 ],
					"slidercolor" : [ 0.058824, 0.588235, 0.0, 1.0 ],
					"candicane2" : [ 0.145098, 0.203922, 0.356863, 1.0 ],
					"setminmax" : [ 0.0, 1.0 ],
					"candicane7" : [ 0.878431, 0.243137, 0.145098, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Measure the sound level",
					"id" : "obj-56",
					"patching_rect" : [ 301.0, 13.0, 368.0, 30.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Helvetica",
					"fontsize" : 24.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "thispatcher",
					"id" : "obj-2",
					"patching_rect" : [ -1.0, 51.0, 61.0, 17.0 ],
					"numinlets" : 1,
					"numoutlets" : 2,
					"fontname" : "Arial",
					"hidden" : 1,
					"outlettype" : [ "", "" ],
					"fontsize" : 9.0,
					"save" : [ "#N", "thispatcher", ";", "#Q", "end", ";" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "bpatcher",
					"id" : "obj-3",
					"patching_rect" : [ -1.0, 0.0, 672.0, 51.0 ],
					"numinlets" : 0,
					"name" : "canheader.maxpat",
					"args" : [  ],
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"lockeddragscroll" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "ezadc~",
					"id" : "obj-5",
					"patching_rect" : [ 56.0, 117.0, 33.0, 33.0 ],
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "signal", "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Adjust the Sensitivity",
					"linecount" : 2,
					"id" : "obj-13",
					"patching_rect" : [ 109.0, 188.0, 108.0, 52.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 20.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Mic",
					"id" : "obj-14",
					"patching_rect" : [ 120.0, 123.0, 41.0, 29.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 20.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "gain~",
					"id" : "obj-15",
					"patching_rect" : [ 57.0, 161.0, 43.0, 115.0 ],
					"numinlets" : 2,
					"numoutlets" : 2,
					"orientation" : 2,
					"outlettype" : [ "signal", "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "peakamp~ 20",
					"color" : [ 0.156863, 0.8, 0.54902, 1.0 ],
					"id" : "obj-50",
					"patching_rect" : [ 56.0, 302.0, 157.0, 34.0 ],
					"numinlets" : 2,
					"numoutlets" : 1,
					"fontname" : "Arial",
					"outlettype" : [ "float" ],
					"fontsize" : 24.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Sound Level (0.0 to 1.0)",
					"id" : "obj-52",
					"patching_rect" : [ 344.0, 449.0, 345.0, 29.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"fontsize" : 20.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"id" : "obj-55",
					"patching_rect" : [ 42.0, 109.0, 192.0, 179.0 ],
					"numinlets" : 1,
					"rounded" : 0,
					"numoutlets" : 0,
					"bgcolor" : [ 0.988235, 1.0, 0.490196, 1.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-50", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-4", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
